Skip to main content
Crypton aggregates lending data from 6+ major DeFi protocols with real-time supply/borrow APY, TVL, and reward data. Pools below $100K TVL are filtered out automatically.

Coverage

ProtocolChains
Aave V2/V3Ethereum, Arbitrum, Optimism, Base, Polygon, + 10 more
Compound V3Ethereum, Arbitrum, Base, Polygon
MakerDAOEthereum
Morpho / Morpho BlueEthereum, Base
SparkEthereum

GET /v2/defi/lending

protocol
string
Filter by protocol. Examples: aave-v3, compound-v3, morpho-blue, maker, spark.
chain
string
Filter by chain. Examples: Ethereum, Arbitrum, Base, Polygon.
curl "https://api.crypton.dev/v2/defi/lending?protocol=aave-v3&chain=Ethereum" \
  -H "X-API-Key: YOUR_API_KEY"
Example Response
{
  "status": "ok",
  "timestamp": 1711670400000,
  "data": {
    "pools": [
      {
        "protocol": "aave-v3",
        "chain": "Ethereum",
        "symbol": "USDC",
        "tvl_usd": 1520000000.0,
        "apy": 5.23,
        "apy_base": 3.10,
        "apy_reward": 2.13,
        "pool_id": "747c1d2a-c668-4710-9842-5709ec2e3e28"
      },
      {
        "protocol": "aave-v3",
        "chain": "Ethereum",
        "symbol": "WETH",
        "tvl_usd": 2800000000.0,
        "apy": 1.87,
        "apy_base": 1.87,
        "pool_id": "d4b3c522-6127-4b89-bedf-83641cdcd2eb"
      }
    ],
    "count": 2
  }
}

Response Fields

data.pools
array
data.count
integer
Number of pools returned.
apy_base is the organic lending yield from borrower interest. apy_reward is from protocol token incentives. When apy_reward is null, the protocol doesn’t offer token incentives for that pool.
Crypton indexes 150+ Aave V3 pools and 67+ Compound V3 pools. Data refreshes every ~15 minutes. Use the protocol and chain filters to narrow results.

Error Responses

StatusCondition
502Upstream data temporarily unavailable
200No matching pools: {"status": "ok", "data": {"pools": [], "count": 0}}